package com.fjs.scenic.mapper.user;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.fjs.scenic.entity.user.User;

public interface UserMapper {
	
	int insert(User record);
	
	int insertSelective(User user);

 	List<User> select(User record);
 	
 	int updateByPrimaryKeySelective(User record);

	void delete(User record);
	
	List<User> selectByJoin(Map<String, String> param);

	List<User> selectByParam(Map<String, String> param);

	void updateByParam(Map<String, String> params);

	void deleteByParam(Map<String, String> params);
	
	User getUserByOpenId(@Param("openid") String openid);

	User selectByPrimaryKey(Integer id);
	
	String getOpenIdByOrderNo(@Param("orderNo") String orderNo);
}